function iniPF = objv_function(iniP,nVar,M,testNo,testType,s_bounds)
if nargin<6
switch testType
    case 1 % ZDT
       s_bounds = ones(1,M);
    case 2 % DTLZ
        s_bounds = ones(1,M);
    case 3 % WFG
        s_bounds = 2*(1:M);
end  
end

switch testType
    case 0
        temp = size(iniP,1);
        iniPF = ones(temp,M);
        for popi = 1:N
            iniPF(popi,:) = evaluate_objective_DTLZ(iniP(popi,:), M, nVar, testNo);
        end
    case 1 % ZDT
        iniPF = zdt(iniP,testNo);
    case 2 % DTLZ
        iniPF = dtlz(iniP, M, nVar-M+1,testNo);
    case 3 % WFG
        % Study of ideal point impact
        if testNo<10  % spread difficult
            k = 96;
            l = nVar-k;
            iniPF = wfgextend(iniP, M, k, l, testNo,s_bounds);
        elseif testNo>9 && testNo<18          % convergence difficult
            k = 6;
            l = nVar-k;
            iniPF = wfgextend(iniP, M, k, l,  testNo-8,s_bounds);
        else
            k = 48;
            l = nVar-k;
            iniPF = wfgextend(iniP, M, k, l,  testNo-16,s_bounds);
        end
    case 4
        iniPF = GUtest(iniP,M,testNo);
end
end
